=== src/lib/CMakeLists.txt ===
add_subdirectory(offlineindex)
add_subdirectory(iconlookup)
