=== debian/changelog ===
albert (0.8.9-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Sun, 15 May 2016 01:43:17 -0500

albert (0.8.9-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release
  * disable workaround-no-icons-qt5.patch - it launches Gedit
    and Nautilus with header bars in Unity, etc.

 -- Alin Andrei <webupd8@gmail.com>  Fri, 13 May 2016 10:17:49 +0200

albert (0.8.8-1~webupd8~xenial1) xenial; urgency=medium

  * New upstream release
  * disable workaround-no-icons-qt5.patch - it launches Gedit
    and Nautilus with header bars in Unity, etc.

 -- Alin Andrei <webupd8@gmail.com>  Thu, 29 Apr 2016 10:57:18 +0200

albert (0.8.7.3-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Wed, 27 Apr 2016 12:23:58 +0200

albert (0.8.7.2-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 04 Apr 2016 12:03:41 +0200

albert (0.8.7.1-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Thu, 31 Mar 2016 14:37:19 +0200

albert (0.8.6-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Wed, 30 Mar 2016 12:37:44 +0200

albert (0.8.5-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 28 Mar 2016 13:04:19 +0200

albert (0.8.4-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Tue, 15 Mar 2016 17:09:19 +0200

albert (0.8.3-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 14 Mar 2016 13:54:02 +0200

albert (0.8.2-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Wed, 09 Mar 2016 16:33:29 +0200

albert (0.8.1-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 07 Mar 2016 15:46:18 +0200

albert (0.8.0-1~webupd8~trusty1) trusty; urgency=medium

  * Added workaround-no-icons-qt5.patch

 -- Alin Andrei <webupd8@gmail.com>  Mon, 09 Nov 2015 17:21:39 +0200

albert (0.8.0-1~webupd8~wily0) wily; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 09 Nov 2015 14:17:31 +0200

albert (0.7.3-1~webupd8~trusty0) trusty; urgency=medium

  * Build-depend on libqt5svg5-dev
  * Disabled clean-up-desktop-file.patch, it's no longer required

 -- Alin Andrei <webupd8@gmail.com>  Thu, 08 Oct 2015 12:08:44 +0200

albert (0.6.2-1~webupd8~vivid3) vivid; urgency=medium

  * Initial debianization
  * Added clean-up-desktop-file.patch

 -- Alin Andrei <webupd8@gmail.com>  Mon, 19 Jan 2015 11:49:31 +0200
