=== debian/control ===
Source: albert
Section: utils
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Bugs: mailto: <maintainer@mepiscommunity.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), cmake, pkg-config, qtbase5-dev, qtbase5-dev-tools, libx11-dev, libqt5x11extras5-dev, libmuparser-dev, libqt5svg5-dev
Homepage: https://github.com/ManuelSchneid3r/albert

Package: albert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Albert Launcher
 An amazing, desktop environment agnostic omnilauncher.
