=== debian/changelog ===
albert (0.14.21-0.1~mx17) mx; urgency=medium

  * Rebuilt for MX 17.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Jul 2018 16:30:50 -0700

albert (0.14.21) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 14 Jul 2018 12:11:54 +0000

albert (0.14.21-0) stable; urgency=low

  * Initial Release

 -- Manuel Schneider <manuelschneid3r@gmail.com>  Sun, 29 Oct 2017 00:00:00 +0000
