=== debian/changelog ===
albert (0.16.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add libqt5charts5-dev to B-Ds to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Sep 2019 13:04:14 -0700

albert (0.16.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Switch to 3.0 (quilt) source format.
  * Add debian/copyright.
  * Clean up formatting in debian/control.
  * debian/rules:
    - enable full hardening.
    - disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Mar 2019 15:51:09 -0800

albert (0.16.1) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 16 Feb 2019 12:18:35 +0000

albert (0.16.1-0) stable; urgency=low

  * Albert Upstream Release
  
 -- Manuel Schneider <manuelschneid3r@gmail.com>  Sun, 29 Oct 2017 00:00:00 +0000
